diff sources/control-images/bootstrap-skeleton/files/init @ 1275:a4cb2ed0a551

Move sources/native-builds to sources/control-images, so the naming is consistent.
author Rob Landley <rob@landley.net>
date Sun, 07 Nov 2010 15:55:26 -0600
parents sources/native-builds/bootstrap-skeleton/files/init@c264495fbf21
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/sources/control-images/bootstrap-skeleton/files/init	Sun Nov 07 15:55:26 2010 -0600
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+# Start running here, and hand off to run-build-stages.sh in chroot.
+
+. /mnt/functions.sh
+
+[ -z "$NATIVE_BUILD" ] && NATIVE_BUILD=chroot
+
+# Always chroot, because even if root filesystem is writeable it's hard to
+# tell tar to skip /proc and /sys and such without unmounting bits of the
+# host environment.
+
+do_in_chroot /home/"$NATIVE_BUILD" /mnt/run-build-stages.sh
+
+if [ $? -eq 0 ]
+then
+  set_titlebar "upload tarball"
+  tar czvf "$NATIVE_BUILD".tar.gz "$NATIVE_BUILD" | dotprogress &&
+  upload_result "$NATIVE_BUILD".tar.gz
+fi